---
title: Представление контактной информации
slug: общие-бсп-стандартные-подсистемы-контактная-информация-программный-интерфейс/представление-контактной-информации
---

# Пример применения
```bsl
//Возвращает представление контактной информации (адреса, телефона, электронной почты и т.п.).

ВидЮрАдрес = Справочники.ВидыКонтактнойИнформации.ЮрАдресОрганизации;
ЮрАдрес = "г. Москва, 3-й Самотечный пер., д. 23";

// Представление -> Строка JSON
КонтактнаяИнформация = УправлениеКонтактнойИнформацией.КонтактнаяИнформацияПоПредставлению(ЮрАдрес, ВидЮрАдрес);

// Строка JSON -> Представление 
Представление = УправлениеКонтактнойИнформацией.ПредставлениеКонтактнойИнформации(КонтактнаяИнформация);

ОбщегоНазначения.СообщитьПользователю(Представление);
```