---
title: Проверить адрес на соответствие требованиям
slug: общие-бсп-стандартные-подсистемы-контактная-информация-программный-интерфейс/проверить-адрес-на-соответствие-требованиям
---

# Пример применения
```bsl
//Проверяет адрес на соответствие требованиям к адресной информации.

ВидЮрАдрес = Справочники.ВидыКонтактнойИнформации.ЮрАдресОрганизации;
ЮрАдрес = "г. Москва, 3-й Самотечный пер., д. 23";

АдресJSON = УправлениеКонтактнойИнформацией.КонтактнаяИнформацияПоПредставлению(ЮрАдрес, ВидЮрАдрес);

ДанныеПроверки = РаботаСАдресами.ПроверитьАдрес(АдресJSON);

Текст = СтрШаблон("Результат проверки: %1; Кол-во ошибок: %2", ДанныеПроверки.Результат, ДанныеПроверки.СписокОшибок.Количество());

ОбщегоНазначения.СообщитьПользователю(Текст);
```