---
title: Диалог выбора файла
slug: общие-работа-с-файловой-системой/диалог-выбора-файла
---
# Описание

```bsl
// Показывает диалог выбора файла.
// В веб-клиенте пользователю будет показан диалог установки расширения для работы с 1С:Предприятием,
// если требуется.
//
// Параметры:
//   ОбработчикЗавершения - ОписаниеОповещения - содержит описание процедуры, которая будет вызвана после
//           закрытия диалога выбора с параметрами:
//      # Результат - Массив из Строка - выбранные имена файлов.
//                        - Строка - пустая строка, если пользователь отказался от установки расширения.
//                        - Неопределено - если пользователь отказался от выбора файла.
//      # ДополнительныеПараметры - Произвольный - дополнительные параметры оповещения.
//   Диалог - ДиалогВыбораФайла - свойства см. в синтакс-помощнике.
//
ФайловаяСистемаКлиент.ПоказатьДиалогВыбора(ОбработчикЗавершения, Диалог) Экспорт

```