---
title: Создание стиля оформления для тестовой базы
slug: общие/создание-стиля-оформления-для-тестовой-базы
---
Чтобы изменить цветовое оформление для информационных баз, отличных от рабочей, необходимо создать расширение, в котором создать объект `Стиль`.
![image-15.png](https://sinenikolsky.ru/s/QEWSKmHn7HKGJX4/download?path=%2F2025%2F04%2F16&files=e9650922-0cc5-4e5d-a9a1-4a0ffb32414b.png)

Затем, в модуле сеанса реализовать процедуру `УстановкаПараметровСеанса`
```bsl
&После("УстановкаПараметровСеанса")
Процедура Расш1_УстановкаПараметровСеанса(ТребуемыеПараметры)
	
	СтрокаСоединения = ВРег(СтрокаСоединенияИнформационнойБазы());
	ЭтоТестовая = СтрНайти(СтрокаСоединения, ВРег("Ref=""имя-вашей-базы""")) = 0;
	
	Если ЭтоТестовая И ГлавныйСтиль <> БиблиотекаСтилей["Расш1_СтильТестовойБазы"] Тогда
		ГлавныйСтиль = БиблиотекаСтилей["Расш1_СтильТестовойБазы"];
	КонецЕсли;
	
КонецПроцедуры
```