---
title: Путь к табличной части
slug: общие-управляемые-формы/путь-к-табличной-части
---

# Описание
```bsl
// Формирует путь к заданной строке НомерСтроки и колонке ИмяРеквизита 
// табличной части ИмяТабличнойЧасти для выдачи сообщений в форме.
// Для совместного использования с процедурой СообщитьПользователю
// (для передачи в параметры Поле или ПутьКДанным). 
//
// Параметры:
//  ИмяТабличнойЧасти - Строка - имя табличной части.
//  НомерСтроки - Число - номер строки табличной части.
//  ИмяРеквизита - Строка - имя реквизита.
//
// Возвращаемое значение:
//  Строка - путь к ячейке таблицы.
//
Функция ПутьКТабличнойЧасти(Знач ИмяТабличнойЧасти,	Знач НомерСтроки, Знач ИмяРеквизита) Экспорт
```

# Пример вызова
```bsl
ОбщегоНазначения.СообщитьПользователю("Заполните дату помещения в ХК",
	,
    ОбщегоНазначенияКлиентСервер.ПутьКТабличнойЧасти("Объект.СписокОбъектов", Строка.НомерСтроки, "ДатаПомещения"),
	,
	Отказ);
```