---
title: Добавить со сканера
slug: общие-бсп-стандартные-подсистемы-файлы-программный-интерфейс-клиент/добавить-со-сканера
---

# Описание

# Пример применения
```bsl
&НаКлиенте
Процедура ДобавитьСоСканера(Команда)
	
	Если НЕ РаботаСФайламиКлиент.ДоступноСканирование() Тогда
		ОбщегоНазначенияКлиент.СообщитьПользователю("Сканирование на данном компьютере недоступно...");
		Возврат;
	КонецЕсли;
	
	ОповещениеРезультата = Новый ОписаниеОповещения("ДобавитьСоСканераЗавершение", ЭтотОбъект);
	РаботаСФайламиКлиент.ДоступнаКомандаСканировать(ОповещениеРезультата);
	
КонецПроцедуры

&НаКлиенте
Процедура ДобавитьСоСканераЗавершение(Результат, ДополнительныеПараметры) Экспорт

	Если Результат = Неопределено Тогда
		Возврат;
	КонецЕсли;

	Если НЕ Результат Тогда
		ОбщегоНазначенияКлиент.СообщитьПользователю("Команда сканирования недоступна...");
		Возврат;
	КонецЕсли;

	ПараметрыДобавления = РаботаСФайламиКлиент.ПараметрыДобавленияСоСканера();
	ПараметрыДобавления.ВладелецФайла = Объект.Номенклатура;
	ПараметрыДобавления.ФормаВладелец = ЭтотОбъект;
	ПараметрыДобавления.ТолькоОдинФайл = Истина;
	ПараметрыДобавления.ОбработчикРезультата = Новый ОписаниеОповещения("ПослеСканированияДокумента", ЭтотОбъект);
	ПараметрыСканирования = РаботаСФайламиКлиент.ПараметрыСканирования(Истина);
	
	РаботаСФайламиКлиент.ДобавитьСоСканера(ПараметрыДобавления);

КонецПроцедуры   

&НаКлиенте
Процедура ПослеСканированияДокумента(Результат, ДополнительныеПараметры) Экспорт

	// Обработка результата

КонецПроцедуры


```