---
title: Записать в журнал регистрации (сервер)
slug: общие-исключения-обработка-ошибок/записать-в-журнал-регистрации-сервер
---
```bsl
// Процедура пакетной записи сообщений в журнал регистрации.
// После записи переменная СобытияДляЖурналаРегистрации очищается.
//
// Параметры:
//  СобытияДляЖурналаРегистрации - СписокЗначений:
//    * Значение - Структура:
//        ** ИмяСобытия  - Строка - имя записываемого события.
//        ** ПредставлениеУровня  - Строка - представление значений коллекции УровеньЖурналаРегистрации.
//                                    Доступные значения: "Информация", "Ошибка", "Предупреждение", "Примечание".
//        ** Комментарий - Строка - комментарий события.
//        ** ДатаСобытия - Дата   - дата события, подставляется в комментарий при записи.
//     * Представление - Строка - не используется.
//
ЖурналРегистрации.ЗаписатьСобытияВЖурналРегистрации(СобытияДляЖурналаРегистрации) Экспорт

```