---
title: git-checkout
slug: прочее-работа-с-git-основные-команды/git-checkout
---

`git checkout` — переключает на другую ветку, коммит или файл.

### Примеры:

Перейти на другую ветку:

```bash
git checkout dev
```

Создать новую ветку и сразу перейти:

```bash
git checkout -b hotfix-1
```

Вернуть файл в состояние последнего коммита:

```bash
git checkout -- файл.txt
```

Git подскажет, если текущие изменения будут потеряны при переключении.
